MoreTextInternal::State Struct Reference

Internal: the state of a MoreText. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
std::vector< Topic > | m_topicList
| the topic list
std::vector< Comment > | m_commentList
| the header/footer/comment list
std::vector< MWAWEntry > | m_speakerList
| the speaker note list
std::vector< Outline > | m_outlineList
| the outline list
int | m_actualComment
| the actual comment
int | m_actualSpeaker
| the actual speaker note
int | m_actualOutline
| the actual outline
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MoreText.

## Constructor & Destructor Documentation

## State()

MoreTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actualComment

int MoreTextInternal::State::m_actualComment

the actual comment

Referenced by State().

## m_actualOutline

int MoreTextInternal::State::m_actualOutline

the actual outline

Referenced by State().

## m_actualPage

int MoreTextInternal::State::m_actualPage

Referenced by State().

## m_actualSpeaker

int MoreTextInternal::State::m_actualSpeaker

the actual speaker note

Referenced by State().

## m_commentList

std::vector<Comment> MoreTextInternal::State::m_commentList

the header/footer/comment list

Referenced by State().

## m_numPages

int MoreTextInternal::State::m_numPages

Referenced by State().

## m_outlineList

std::vector<Outline> MoreTextInternal::State::m_outlineList

the outline list

Referenced by State().

## m_speakerList

std::vector<MWAWEntry> MoreTextInternal::State::m_speakerList

the speaker note list

Referenced by State().

## m_topicList

std::vector<Topic> MoreTextInternal::State::m_topicList

the topic list

Referenced by State().

## m_version

int MoreTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MoreText.cxx